> ## Documentation Index
> Fetch the complete documentation index at: https://phaseo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Bild bearbeiten

> Wendet Änderungen mit dem angegebenen Modell und Prompt auf ein vorhandenes Bild an.



## OpenAPI

````yaml de/openapi/v1/openapi.localized.yaml POST /images/edits
openapi: 3.0.3
info:
  title: Phaseo Gateway API
  description: >-
    Eine Gateway-API für den Zugriff auf verschiedene KI-Modelle über
    OpenAI-kompatible Endpunkte.
  version: 1.0.0
  contact:
    name: Phaseo
    url: https://phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
    description: Globales Routing
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core Phaseo Gateway operations.
paths:
  /images/edits:
    post:
      tags:
        - Gateway
      summary: Bildbearbeitung erstellen
      description: >-
        Erstellt ausgehend von einem Originalbild und einer Eingabeaufforderung
        ein bearbeitetes oder erweitertes Bild.
      operationId: createImageEdit
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ImagesEditRequest'
      responses:
        '200':
          description: Antwort zur Bildbearbeitung
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImagesEditResponse'
            text/event-stream:
              schema:
                type: string
components:
  schemas:
    ImagesEditRequest:
      type: object
      required:
        - model
        - image
        - prompt
      properties:
        model:
          type: string
        image:
          oneOf:
            - type: string
            - type: array
              minItems: 1
              maxItems: 16
              items:
                type: string
        mask:
          type: string
        prompt:
          type: string
        size:
          type: string
        resolution:
          type: string
        'n':
          type: integer
          minimum: 1
          maximum: 10
        quality:
          type: string
          enum:
            - standard
            - low
            - medium
            - high
            - xhigh
            - max
            - auto
          description: >-
            Bildrenderqualität. xhigh und max sind nur für GPT Image 2.5-Modelle
            verfügbar.
        stream:
          type: boolean
        partial_images:
          type: integer
          minimum: 0
          maximum: 3
        output_format:
          type: string
          enum:
            - png
            - jpeg
            - webp
        output_compression:
          type: integer
          minimum: 0
          maximum: 100
        background:
          type: string
          enum:
            - transparent
            - opaque
            - auto
        moderation:
          type: string
          enum:
            - auto
            - low
        input_fidelity:
          type: string
          enum:
            - high
            - low
        user:
          type: string
        meta:
          type: boolean
        usage:
          type: boolean
        provider:
          $ref: '#/components/schemas/ProviderRoutingOptions'
    ImagesEditResponse:
      type: object
      properties:
        created:
          type: integer
        data:
          type: array
          items:
            $ref: '#/components/schemas/Image'
    ProviderRoutingOptions:
      type: object
      description: Anbieterrouting-Präferenzen für die Auswahl durch das Gateway.
      properties:
        order:
          type: array
          items:
            type: string
        only:
          type: array
          items:
            type: string
        ignore:
          type: array
          items:
            type: string
        include_alpha:
          type: boolean
          description: >-
            Alpha-Anbieter in das Routing einbeziehen (standardmäßig
            deaktiviert).
        allow_fallbacks:
          type: boolean
          nullable: true
          description: Nach einem Fehler auf einen anderen geeigneten Anbieter ausweichen.
        require_parameters:
          type: boolean
          nullable: true
          description: >-
            Vor dem Routing die Unterstützung der angeforderten Parameter durch
            den Anbieter voraussetzen.
        required_execution_region:
          type: string
          nullable: true
          description: >-
            Das Routing auf Anbieter mit der angeforderten Ausführungsregion
            beschränken.
        required_data_region:
          type: string
          nullable: true
          description: >-
            Das Routing auf Anbieter mit der angeforderten Datenregion
            beschränken.
        require_zero_data_retention:
          type: boolean
          nullable: true
          description: >-
            Das Routing auf Anbieter beschränken, die keine Datenspeicherung
            unterstützen.
        data_collection:
          type: string
          nullable: true
          enum:
            - allow
            - deny
        zdr:
          type: boolean
          nullable: true
        enforce_distillable_text:
          type: boolean
          nullable: true
        quantizations:
          type: array
          nullable: true
          items:
            type: string
        sort:
          oneOf:
            - type: string
            - type: object
              additionalProperties: true
          description: >-
            Anbieter für diese Anfrage sortieren, zum Beispiel nach Preis,
            Latenz oder Durchsatz.
        max_price:
          type: object
          properties:
            prompt:
              oneOf:
                - type: number
                - type: string
            completion:
              oneOf:
                - type: number
                - type: string
            image:
              oneOf:
                - type: number
                - type: string
            audio:
              oneOf:
                - type: number
                - type: string
            request:
              oneOf:
                - type: number
                - type: string
        preferred_min_throughput:
          oneOf:
            - type: number
            - type: object
              additionalProperties:
                type: number
        preferred_max_latency:
          oneOf:
            - type: number
            - type: object
              additionalProperties:
                type: number
    Image:
      type: object
      properties:
        url:
          type: string
        b64_json:
          type: string
        revised_prompt:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Authentifizierung mit Bearer-Token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.